Subject: [smime] CommitmentRules Question

From: David Reis Jr <[email-masked]>
Date: Wed, 23 Sep 2009 20:37:07 -0700 (PDT)

Hi,

I have some questions about the RFC 3125 and I couldn't find a place to post them. Is there a list for developers?

If someone in the list could help me with them, I would appreciate. Thanks in advance.

* If I have a signature without "Commitment Type Indication" attribute, should I apply a rule from
  CommitmentRules that has "Empty" as SelectedCommitmentType or should I completely ignore the CommitmentRules?

* In the Algorithm Constraint Set Field, it is said that it should be
applied to the algorithms 
  used during the process. If I have a policywith Algorithm Constraints Set which field should I apply to the
signature and digest 
  algorithm? The Signer Algorithm Constraints?

* Must trustpoints be selfsigned certificates or can they be CA certificates?

Regards,

David Reis Jr